| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::BlitPassGLES Class Referencefinal

`#include <blit_pass_gles.h>`

Inheritance diagram for impeller::BlitPassGLES:

## Public Member Functions
| ~BlitPassGLES () override
Public Member Functions inherited from impeller::BlitPass
virtual | ~BlitPass ()
void | SetLabel (std::string label)
HostBuffer & | GetTransientsBuffer ()
bool | AddCopy (std::shared_ptr< Texture > source, std::shared_ptr< Texture > destination, std::optional< IRect > source_region=std::nullopt, IPoint destination_origin={}, std::string label="")
| Record a command to copy the contents of one texture to another texture. The blit area is limited by the intersection of the texture coverage with respect the source region and destination origin. No work is encoded into the command buffer at this time. More...
bool | AddCopy (std::shared_ptr< Texture > source, std::shared_ptr< DeviceBuffer > destination, std::optional< IRect > source_region=std::nullopt, size_t destination_offset=0, std::string label="")
| Record a command to copy the contents of the buffer to the texture. No work is encoded into the command buffer at this time. More...
bool | AddCopy (BufferView source, std::shared_ptr< Texture > destination, IPoint destination_origin={}, std::string label="")
| Record a command to copy the contents of the buffer to the texture. No work is encoded into the command buffer at this time. More...
bool | GenerateMipmap (std::shared_ptr< Texture > texture, std::string label="")
| Record a command to generate all mip levels for a texture. No work is encoded into the command buffer at this time. More...

## Friends
class | CommandBufferGLES

## Additional Inherited Members
Protected Member Functions inherited from impeller::BlitPass
| BlitPass ()
Protected Attributes inherited from impeller::BlitPass
std::shared_ptr< HostBuffer > | transients_buffer_

## Detailed Description

Definition at line 18 of file blit_pass_gles.h.

## Constructor & Destructor Documentation

## ◆ ~BlitPassGLES()

impeller::BlitPassGLES::~BlitPassGLES | ( |  | ) |
| override default

## Friends And Related Function Documentation

## ◆ CommandBufferGLES

friend class CommandBufferGLES
| friend

Definition at line 25 of file blit_pass_gles.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/gles/blit_pass_gles.h
- impeller/renderer/backend/gles/blit_pass_gles.cc